---
layout: default
title: GitLab Learn
description: "Learn new skills while working with GitLab. Our easy-to-use learning platform provides instructions and feedback throughout your journey."
canonical_path: "/learn/public"
image_title: '/images/learn/shared/gitlab-learn-graphic-01.png'
twitter_creator: "@gitlab"
twitter_site: "@gitlab"
twitter_image_alt: "GitLab Education and Training Resources"
twitter_image: "/images/learn/shared/gitlab-learn-graphic-01.png"
suppress_header: true
extra_css:
  - gitlab-learn.css
  - gitlab-topic.css
  - community.css
  - bl-modal.css
  - solutions2020.css
  - video-carousel.css
extra_js:
  - courses.js
  - libs/slick.min.js
  - video-carousel.js
---

.container.slp-container.header-content
  %h1 GitLab Learn for everyone
  %h4 GitLab-produced learning resources for everyone.
  %p <a href = "/learn/certifications/public">Public GitLab Certifications</a> | <a href = "/learn">Team members learning materials</a>

.container.slp-container
  .resources
    #courses-filters
      - data.learn.classification.each do |key, category|
        %select.btn{name: "#{key}"}
          %option{value: ""}= "Any #{category.name}"
          - category.categories.each do |sub|
            %option= sub.name

      %p{:style => 'font-style: italic'}
        <a href="/learn/classification/" data-ga-name="classification" data-ga-location="header">Understand how we classify content</a>.

    .courses
      .resource-block
        - data.learn.learn.select{|course| course.confidentiality == "Public"}.sort_by(&:name).each do |course|
          .resource{
            data: {
              maintainer: (course.maintainer || ""),
              level: (course.level || ""),
              use_case: (course.use_case || ""),
              pace: (course.pace || ""),
              assessment: (course.assessment || ""),
              registration: (course.registration || ""),
              confidentiality: (course.confidentiality || "")
            }
          }
            .icon
              %img{src: "/images/ci/webcasts-icon.svg", alt: "Webcast icon"}
            .text
              .link
                %a{:href => "#{course.url}", :"data-ga-name" => course.name, :"data-ga-location" => "body"  }
                  %h4.title= course.name

              %p= course.description

              %ul.resource-meta
                - if course.live_date && Date.parse(course.live_date) > Date.today
                  %li
                    %strong Available On:
                    %span= course.live_date

                - data.learn.classification.each do |key, category|
                  - if course[key]
                    %li
                      %strong= "#{category.name}:"
                      %span= course[key]

.container.slp-container.solutions-blocks
  .bl-modal#form-for-playbook
    %span.bl-modal-close
    .bl-modal-content
      %h4.text-center
        Enroll in a GitLab Certification Course Now
      %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
      - localvar_form_id = '2430'
      - localvar_form_type = 'resources'
      %form{id: "mktoForm_#{localvar_form_id}"}
      :javascript
        MktoForms2.setOptions(
        {
          formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
        });
        MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", #{localvar_form_id}, function(form)
        {
          form.onSuccess(function()
          {
            dataLayer.push({
              'event' : '#{localvar_form_type}',
              'mktoFormId' : form.getId(),
              'eventCallback' : function() {
                document.location.href = 'https://gitlab.edcast.com/';
              },
              'eventTimeout' : 3000
            });
            return false;
          });
        });

  <script src="/javascripts/bl-modal.js" type="text/javascript"></script>
  %script{type: "text/javascript"}
    :plain
      blOpenModal('.form-lightbox-open', '#form-for-playbook');
